Mattermost, Inc.

ChatOps with Hubot

Hello guys,

I’m using Mmost since 2 years, nice software, my local platform is counting more than 150k messages for now.

I would like to do some chatops now, with Hubot, but i’m experiencing some troubles on the npm install -g yo generator-hubot which is returning :

Software version :

  • nodejs v13.8.0
  • npm 6.13.6
  • mattermost 5.18.0
npm WARN deprecated CSSselect@0.4.1: the module is now available as 'css-select'
npm WARN deprecated CSSwhat@0.4.7: the module is now available as 'css-what'
npm WARN deprecated simple-bufferstream@0.0.4: no longer maintained
npm WARN deprecated minimatch@2.0.10: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated minimatch@0.3.0: Please update to minimatch 3.0.2 or higher to avoid a RegExp DoS issue
npm WARN deprecated cross-spawn-async@2.2.5: cross-spawn no longer requires a build toolchain, use it instead
/usr/bin/yo -> /usr/lib/node_modules/yo/lib/cli.js
/usr/bin/yo-complete -> /usr/lib/node_modules/yo/lib/completion/index.js

> yo@3.1.1 postinstall /usr/lib/node_modules/yo
> yodoctor


Yeoman Doctor
Running sanity checks on your system

✔ No .bowerrc file in home directory
✔ Global configuration file is valid
✔ NODE_PATH matches the npm root
✔ No .yo-rc.json file in home directory
✔ Node.js version
✔ npm version
ErrorClass [RequestError]: connect ETIMEDOUT 104.16.27.35:443
    at ClientRequest.<anonymous> (/usr/lib/node_modules/yo/node_modules/latest-version/node_modules/got/index.js:73:21)
    at Object.onceWrapper (events.js:428:26)
    at ClientRequest.emit (events.js:321:20)
    at ClientRequest.EventEmitter.emit (domain.js:485:12)
    at TLSSocket.socketErrorListener (_http_client.js:432:9)
    at TLSSocket.emit (events.js:321:20)
    at TLSSocket.EventEmitter.emit (domain.js:485:12)
    at emitErrorNT (internal/streams/destroy.js:84:8)
    at processTicksAndRejections (internal/process/task_queues.js:84:21) {
  code: 'ETIMEDOUT',
  message: 'connect ETIMEDOUT 104.16.27.35:443',
  host: 'registry.npmjs.org',
  hostname: 'registry.npmjs.org',
  method: 'GET',
  path: '/yo'
}
✖ yo version
ErrorClass [RequestError]: connect ETIMEDOUT 104.16.27.35:443
    at ClientRequest.<anonymous> (/usr/lib/node_modules/yo/node_modules/latest-version/node_modules/got/index.js:73:21)
    at Object.onceWrapper (events.js:428:26)
    at ClientRequest.emit (events.js:321:20)
    at ClientRequest.EventEmitter.emit (domain.js:485:12)
    at TLSSocket.socketErrorListener (_http_client.js:432:9)
    at TLSSocket.emit (events.js:321:20)
    at TLSSocket.EventEmitter.emit (domain.js:485:12)
    at emitErrorNT (internal/streams/destroy.js:84:8)
    at processTicksAndRejections (internal/process/task_queues.js:84:21) {
  code: 'ETIMEDOUT',
  message: 'connect ETIMEDOUT 104.16.27.35:443',
  host: 'registry.npmjs.org',
  hostname: 'registry.npmjs.org',
  method: 'GET',
  path: '/yo'
}

Found potential issues on your machine :(
npm WARN notsup Unsupported engine for got@5.7.1: wanted: {"node":">=0.10.0 <7"} (current: {"node":"13.8.0","npm":"6.13.6"})
npm WARN notsup Not compatible with your version of node/npm: got@5.7.1

+ yo@3.1.1
+ generator-hubot@0.4.0
updated 2 packages in 880.53s

At first i thought it was a DNS or proxy error, but it’s not, proxy is correctly set on both shell env variable and npm configuration and DNS is answering correctly (or appears to).

Got any idea to fix that ?

Thanks !